%define name soqt
%define oname SoQt
%define version 1.3.0
%define release %mkrel 3

%define major 20
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d


Summary: SoQt interfaces Coin with the Qt GUI library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.coin3d.org/pub/coin/src/%{oname}-%{version}.tar.bz2
Patch0:	soqt-lib.patch.bz2
License: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.coin3d.org/

BuildRequires: coin-devel
BuildRequires: kdelibs-devel

%description 
SoQt interfaces Coin with the Qt GUI library.

%package -n %{libname}
Summary: Main library for SoQt
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with SoQt.

%package -n %{libnamedev}
Summary: Headers for developing programs that will use SoQt
Group: Development/C++
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides: libsoqt-devel

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use SoQt.

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%prep
%setup -q -n %oname-%version
%if "%{_lib}" == "lib64"
%patch0
%endif

%build

export QTDIR=%{_prefix}/lib/qt3/
# export LDFLAGS=$QTDIR/%{_lib}
%configure --disable-rpath
%make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root,0755)
%{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root,0755)
%doc README FAQ AUTHORS NEWS
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_datadir}/Coin/conf/*
%{_datadir}/aclocal/*
%{_mandir}/man1/*

%changelog
* Tue Jul  4 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.0-3mdv2007.0
- rebuild to fix devel(libpng) dep

* Fri May 26 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.0-2mdv2007.0
- fix build on x86_64

* Thu Oct 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.0-1mdk
- 1.3.0
- Fix BuildRequires

* Mon Jul 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.0-1mdk
- New release 1.2.0

* Fri Jul 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3a-2mdk
- rebuild

* Mon Oct 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3a-1mdk
- from Jan Villat <rpms@djdie.net> :
	- Updated version number

* Mon May 05 2003 Jan Villat <rpms@djdie.net> 1.0.0-1mdk
- First RPM build

# end of file
